subroutine XAJMX(   N		,&		
                    M		,&		
                    PAR		,&		
                    AREA	,&		
                    UH		,&		
                    DT		,&		
                    P		,&		
                    EP		,&		
                    W		,&		
                    FR		,&		
                    S		,&		
                    QRSS0	,&		
                    QRG0	,&		
                    QR		)&
                    BIND(C, NAME="XAJMX")

  !DEC$ ATTRIBUTES DLLEXPORT::XAJMX
    
    IMPLICIT NONE
    
    INTEGER::N					! 单元出流数组大小
    INTEGER::M					! 无因次单位数组大小
    REAL::PAR(13)				! 1.上层张力水容量wum	2.下层张力水容量wl	3.深层张力水容量wdm
    							! 4.蒸发能力折算系数kc	5.深层蒸发系数c		6.张力水蓄水容量系数b
    							! 7.不透水面积比率imp1	8.自由水蓄水容量sm	9.自由水蓄水容量指数ex
    							!10.地下水出流系数kg 11.壤中流出流系数kss	12.地下水出流系数kkg
    							!13.壤中流出流系数kkss
    REAL::AREA					! 单元面积
    REAL::UH(M)		! 无因次单位线
    REAL::DT					! 时段步长
    REAL::P(N)		! 降雨系列
    REAL::EP(N)		! 蒸发皿蒸发能力
    REAL::QR(N)		! 单元出流
    REAL::W(3)					! 土壤含水层	1.上层	2.下层	3.深层
    REAL::FR					! 初始产流面积
    REAL::S						! 初始自由水深
    REAL::QRSS0					! 初始壤中流流量
    REAL::QRG0					! 初始地下水径流量

    INTEGER::I
    INTEGER::YEAR1
    INTEGER::IM
    INTEGER::ID
    INTEGER::IH
    INTEGER::EM1
    INTEGER::ED
    INTEGER::EH
    
    CALL SUB_XAJMX(	N		,&		! 单元出流数组大小								//输入变量
				    M		,&		! 无因次单位数组大小							//输入变量
				    PAR		,&		!												//输入变量
				    AREA	,&		! 单元面积										//输入变量
				    UH		,&		! 无因次单位线									//输入变量
				    DT		,&		! 时段步长										//输入变量
				    P		,&		! 降雨系列										//输入变量
				    EP		,&		! 蒸发皿蒸发能力								//输入变量
				    W		,&		! 土壤含水层	1.上层	2.下层	3.深层			//输入变量
				    FR		,&		! 初始产流面积									//输入变量
				    S		,&		! 初始自由水深									//输入变量
				    QRSS0	,&		! 初始壤中流流量								//输入变量
				    QRG0	,&		! 初始地下水径流量								//输入变量
				    QR		)		! 单元出流										//输出变量
    
end subroutine XAJMX
